Skip to main content
POST
/
staking
/
chains
/
{chainDescriptor}
/
unstake
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.staking.unstake(stakingApiUnstakeRequest);
{
  "message": "<string>",
  "code": 123
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

chainDescriptor
enum<string>
required

Protocol identifier for the unstake staking operation (e.g., SOL/SOL_TEST/MATIC). Protocol identifier for the staking operation.

Available options:
ATOM_COS,
AXL,
AXL_TEST,
CELESTIA,
DYDX_DYDX,
ETH,
ETH_TEST6,
ETH_TEST_HOODI,
INJ_INJ,
MANTRA,
MATIC,
OSMO,
SOL,
SOL_TEST,
STETH_ETH,
STETH_ETH_TEST6_DZFA,
STETH_ETH_TEST_HOODI

Body

application/json
id
string
required

id of position to unstake

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"

fee
string

Represents the fee for a transaction, which can be specified as a percentage value. Only one of fee/feeLevel is required.

Example:

"7"

feeLevel
enum<string>

Represents the fee level for a transaction, which can be set as slow, medium, or fast. Only one of fee/feeLevel is required.

Available options:
LOW,
MEDIUM,
HIGH
Example:

"MEDIUM"

txNote
string

The note to associate with the transactions.

Example:

"unstake request id b70701f4-d7b1-4795-a8ee-b09cdb5b850d #SOL"

amount
string

Amount of tokens to unstake. Only supported for liquid staking (Lido) to enable partial unstaking. For other chains, this field is ignored and the entire position will be unstaked. If not provided, the entire position will be unstaked.

Example:

"7"

Response

Unstake request accepted and created.